// ---------------------------------------------------------------------------------------------------------------------
// Main Application initialization
// ---------------------------------------------------------------------------------------------------------------------

import * as path from 'path';
import { App } from '../sage';

// ---------------------------------------------------------------------------------------------------------------------

const app = new App({
    name: 'Example Game',
    fullscreen: true,
    devTools: true,
    vsync: false,
    gameScript: path.resolve(__dirname, 'game')
});

// Add custom font
app.addFont('Titillium Web', path.resolve(__dirname, 'fonts', 'titillium.ttf'));

// ---------------------------------------------------------------------------------------------------------------------

app
    .start()
    .then(() =>
    {
        console.info('Example game started.');
    });

// ---------------------------------------------------------------------------------------------------------------------
